Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.spi
Class BasicStreamIDFactory

    java.lang.Object
      org.jivesoftware.openfire.spi.BasicStreamIDFactory

All Implemented Interfaces:
  StreamIDFactory

    public class BasicStreamIDFactory

extends Object
implements StreamIDFactory

A basic stream ID factory that produces id's using java.util.Random and a simple hex representation of a random int.

Author:
  Iain Shigeoka

Constructor Summary
`BasicStreamIDFactory()`

Method Summary
`StreamID` | `createStreamID()` Generate a stream id.
`StreamID` | `createStreamID(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicStreamIDFactory

    public BasicStreamIDFactory()

Method Detail

### createStreamID

    public StreamID createStreamID()

  Description copied from interface: `StreamIDFactory`
  Generate a stream id.

  Specified by:
    `createStreamID` in interface `StreamIDFactory`
  Returns:
    A new, unique stream id

### createStreamID

    public StreamID createStreamID(String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.